Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.coverage.processing
Interface Operation

    @UML(identifier="CV_Operation",
         specification=OGC_01004)
    public interface Operation

This interface provides descriptive information for a grid coverage processing operation. The descriptive information includes such information as the name of the operation, operation description, number of source grid coverages required for the operation etc.

WARNING: THIS CLASS WILL CHANGE. Current API is derived from OGC Grid Coverages Implementation specification 1.0. We plan to replace it by new interfaces derived from ISO 19123 (Schema for coverage geometry and functions). Current interfaces should be considered as legacy and are included in this distribution only because they were part of GeoAPI 1.0 release. We will try to preserve as much compatibility as possible, but no migration plan has been determined yet.

Since:
  GeoAPI 1.0
Version:
  Grid Coverage specification 1.0

Method Summary
`String` | `getDescription()` Description of the processing operation.
`String` | `getDocURL()` URL for documentation on the processing operation.
`String` | `getName()` Name of the processing operation.
`int` | `getNumSources()` Number of source grid coverages required for the operation.
`ParameterValueGroup` | `getParameters()` Retrieve the parameters information.
`String` | `getVendor()` Vendor of the processing operation implementation.
`String` | `getVersion()` Version number for the implementation.

Method Detail

### getName

    @UML(identifier="name",
         obligation=MANDATORY,
         specification=OGC_01004)
    String getName()

  Name of the processing operation. This name is passed as a parameter to the `doOperation` method to instantiate a new grid coverage on which the processing operation is performed.

  Returns:
    The name of the processing operation.

### getDescription

    @UML(identifier="description",
         obligation=OPTIONAL,
         specification=OGC_01004)
    String getDescription()

  Description of the processing operation. If no description is available, the value will be `null`.

  Returns:
    The description of the processing operation, or `null`.

### getVendor

    @UML(identifier="vendor",
         obligation=OPTIONAL,
         specification=OGC_01004)
    String getVendor()

  Vendor of the processing operation implementation. If no vendor name is available, the value will be `null`.

  Returns:
    The implementation vendor name, or `null`.

### getDocURL

    @UML(identifier="docURL",
         obligation=OPTIONAL,
         specification=OGC_01004)
    String getDocURL()

  URL for documentation on the processing operation. If no online documentation is available the string will be `null`.

  Returns:
    The URL for documentation on the processing operation, or `null`.

### getVersion

    @UML(identifier="version",
         obligation=OPTIONAL,
         specification=OGC_01004)
    String getVersion()

  Version number for the implementation.

  Returns:
    The version number for the implementation, or `null`.

### getNumSources

    @UML(identifier="numSources",
         obligation=OPTIONAL,
         specification=OGC_01004)
    int getNumSources()

  Number of source grid coverages required for the operation.

  Returns:
    The number of source grid coverages required for the operation.

### getParameters

    @UML(identifier="getParameterInfo, numParameters",
         obligation=MANDATORY,
         specification=OGC_01004)
    ParameterValueGroup getParameters()

  Retrieve the parameters information.

  Returns:
    The parameter informations.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.